<?session_start();

//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
		
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
include ("fphp.php");
$enlace=cargar_conexion();
$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta)!=0){
	$row=mysqli_fetch_array($consulta);
	$per=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $per=''; 


////////////////////GENERAR ARCHIVO COSTO LABORAL 11/05/2020 -- Miguelangel

if ($_POST['treporte']==6) {
 $query='';
 if ($_POST['nomina']!='') $query .= "personal.nomina = '".substr($_POST['per1'],13,3)."' ";
 		/*$consulta = "select * from personal where id='".$_SESSION['id_validar']."' and status<>'I' $query order by codigo";
		//$consulta = "SELECT cedula, CONCAT( personal.nombres, ' ', personal.nombres1, ' ', personal.apellidos, ' ', personal.apellidos1 ), periodo, desperiodo, h.nomina,h.concepto, h.desconcepto,
		REPLACE(REPLACE(FORMAT(SUM(h.monto) AS monto,2),',',''),'.',',')
		
		FROM historico AS h JOIN personal AS personal ON personal.codigo = h.cedula  WHERE h.periodo >= '".substr($_POST['per1'],0,3)."' AND h.periodo <='".substr($_POST['per2'],0,3)."' and h.cedula=personal.codigo and h.id=personal.id and h.id=".$_SESSION['id_validar']."  order by cedula,periodo";
		*/
		
		$consulta = "SELECT periodo, desperiodo, h.concepto, h.desconcepto, REPLACE(REPLACE(FORMAT(SUM(h.monto), 2),',',''),'.',',') AS monto_formato
		FROM historico AS h
		JOIN personal ON personal.codigo = h.cedula
		WHERE h.periodo >= '" . substr($_POST['per1'], 0, 3) . "' AND h.periodo <= '" . substr($_POST['per2'], 0, 3) . "' 
		AND h.id = personal.id
		AND h.id = " . $_SESSION['id_validar'] . " 
		AND h.concepto IN(2000,2001,2002,2003,2004,2005,2006,2007,2010,2012,4000,4001,4002,4003,4004,4005,4006,4007,4010,4012,4100,4101,4102,4103,4104,4105,4106,4107,4110,4112,4013,4014,4113,4114)
		GROUP BY  periodo, h.desconcepto ORDER BY  periodo, concepto";

		
		$resultado = mysqli_query($enlace,$consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		
		$cont=0;
		$data=array();
				//$cabecera=array("Cedula","Nombre y Apellidos Trabajador","Periodo","Fecha_remuner","Salario(Bs)","Cestaticket(Bs)","Prestaciones(Bs)","Inter_mes(Bs)","Utilidades(Bs)","Vacaciones(Bs)","Bono_Vacacional(Bs)","SSO(Bs)", "RPE(Bs)","FAOV(Bs)","INCES(Bs)","Costo Laboral total(Bs)");
				
		$cabecera=array("Periodo","Fecha_remuner","concepto", "Detalle","monto(Bs)");
		$cabecera=implode(";",$cabecera);
		while ($row=mysqli_fetch_row($resultado)) {
		     $cont++;
			 $data[]=implode(";",$row);
		}
		$data=implode("\n",$data);
$arch="Aportes_Patronales_Obligaciones.csv";		
header("Content-type: text/csv");
header("Content-Disposition: attachment; filename=".$arch);
header("Pragma: no-cache");
header("Expires: 0");
echo "Empresa: ".$_SESSION['empresa_validar']."\n";
echo " \n";
echo "Aportes Patronales por trabajador \n";
echo "\n";
echo "Periodo del: ".substr($_POST['per1'],19,10)." al ".substr($_POST['per2'],33,10)."\n";
echo "\n";

echo $cabecera."\n";
echo utf8_decode($data);		
		
 exit();
}



////////////////////FIN DE REPORTE COSTO LABORAL


?>
<html>
	<head><link rel='stylesheet' type='text/css' href='styles.css' />
	</head>
	<body>	
		<?
		menu();
		?>
		<br><table border=0 cellpadding=0 cellspacing=0 width='100%'>
			<tr>
				<td  width='100%' align='left'><font size=2 color='black' face='verdana'>Empresa: <b><?echo $_SESSION['empresa_validar'];?></b>  - Per&iacute;odo: <b><font color=red><?echo $per;?></font></b>  -  Usuario: <b><?echo $_SESSION['nombre_validar'];?></b></font></td> 
			</tr>
		</table><hr>	
<?		
	echo "<h2 align='center'><font face='Verdana, Arial, Helvetica, sans-serif'>REPORTE DE APORTES PATRONALES DE OBLIGACIONES</font></h2>";
	echo "<h4 align='center'><font face='Verdana, Arial, Helvetica, sans-serif'>Aportes Patronales a SSO, RPE, FAOV, INCES generados por nóminas</font></h4>";
	echo "<font face='verdana' size=2>";
	echo "
	<br><br><form name='entrada' action='".$_SERVER['PHP_SELF']."' target='blank' method='POST' enctype='multipart/form-data'>
	<table align='center'>";
			if ($per!='') {
					echo "<tr><td align='righta'>Per&iacute;odo Actual:</td>
						  <td align='left'><font color=red>".$per."</font></td>
						  </tr>";
			}			
			echo "
				<tr><td align='righta'>Tipo de Archivo:</td>
				<td align='left'>
					<select style='width:300px;' name='treporte'>
						<option value='6'>Aportes Patronales del Período</option>
						


					</select>
				</td>
				</tr>";
				//<option value='5'>Reporte INCES</option> lo saqué aparte (reporte_INCES.php)
				//<option value='4'>Libro de Vacaciones</option> lo saqué en un archivo aparte (reporte_vacaciones.php)
				//Miguelangel 20-04-2020
			
			$consulta = mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo DESC") or die ("select * from periodo order by nomina,periodo DESC");	
			$numr = mysqli_num_rows($consulta);
			echo "<td align = ''> <font color=red>Per&iacute;odo Desde: </font></td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'per1'>";
			for ($x=1;$x<=$numr;$x++) {
				$row1 = mysqli_fetch_array($consulta); 
				if ($x!=1) {
					echo "<option>".$row1['periodo']." - Nomina:".$row1['nomina']." - ".$row1['desde']." al ".$row1['hasta'];
				}	
			}
			echo "</select>";
			echo "</td></tr>";
			
			$consulta = mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo DESC") or die ("select * from periodo order by nomina,periodo DESC");	
			$numr = mysqli_num_rows($consulta);
			echo "<td align = ''> <font color=red>Per&iacute;odo Hasta: </font></td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'per2'>";
			for ($x=1;$x<=$numr;$x++) {
				$row1 = mysqli_fetch_array($consulta); 
				if ($x!=1) {
					echo "<option>".$row1['periodo']." - Nomina:".$row1['nomina']." - ".$row1['desde']." al ".$row1['hasta'];
				}	
			}
			echo "</select>";
			echo "</td></tr>";
			
			/*
			echo "<tr>";
			$consulta="Select * from tablas where tabla=ucase('GERENCIA') and id='".$_SESSION['id_validar']."'  order by codigo,detalle";
			$consulta = mysqli_query($enlace,$consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysqli_error($enlace));	
			$resultado = mysqli_num_rows($consulta);
			echo "<td align = 'righta'> Gerencia: </td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'gerencia'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysqli_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}	
			echo "</select>";
			echo "</td>";
			echo "</tr>";
								
			echo "<tr>";
			$consulta="Select * from tablas where tabla=ucase('DIVISION') and id='".$_SESSION['id_validar']."' order by codigo,detalle";
			$consulta = mysqli_query($enlace,$consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysqli_error($enlace));	
			$resultado = mysqli_num_rows($consulta);
			echo "<td align = 'righta'> Divisi&oacute;n: </td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'division'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysqli_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}	
			echo "</select>";
			echo "</td>";
			echo "</tr>";
			
			
			echo "<tr>";
			$consulta="Select * from tablas where tabla=ucase('DEPARTAMENTO') and id='".$_SESSION['id_validar']."' order by codigo,detalle";
			$consulta = mysqli_query($enlace,$consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysqli_error($enlace));	
			$resultado = mysqli_num_rows($consulta);
			echo "<td align = 'righta'> Departamento: </td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'departamento'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysqli_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}	
			echo "</select>";
			echo "</td>";
			echo "</tr>";
			*/			
			echo "<tr><td colspan='4' align='center'>";
			echo "<input name='ver' type='submit' style='margin-left:5px; height:35px; width:200px' value='GENERAR REPORTE'>";
			echo "</td></tr>";	
			echo "</table></form></font>";
?>
		
	</body>
</html>